=== debian/changelog ===
vtk6 (6.0.0-6) unstable; urgency=medium

  * [932d19c] Add some more entries in Depends section of libvtk6-dev.
              (Closes: #742629)
  * [efbf5d1] Fix VTKTargets.cmake. (Closes: #741927)
  * [7ee8293] Build instantiator. (Closes: #741928)

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Mar 2014 21:54:22 +0100

vtk6 (6.0.0-5) unstable; urgency=medium

  [ Anton Khirnov ]
  * [675402e] Fix libav10-compilation. (Closes: #739456)

  [ Anton Gladky ]
  * [5571d39] Add some depends for libvtk6-dev.
  * [1dbe2cf] Use /usr/bin/vtk instead /usr/bin/vtk6
  * [00730af] Add conflict of vtk6 with tcl-vtk.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Mar 2014 22:39:16 +0100

vtk6 (6.0.0-4) unstable; urgency=medium

  * [dac7bea] Declare python-vtk6 as conflicted with 
              python-vtk. (Closes: #737288)

 -- Anton Gladky <gladk@debian.org>  Fri, 07 Feb 2014 21:08:39 +0100

vtk6 (6.0.0-3) unstable; urgency=medium

  * [2c49a31] Rename vtkpython to vtk6python. (Closes: #737288)

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Feb 2014 19:14:15 +0100

vtk6 (6.0.0-2) unstable; urgency=medium

  * [d293466] Move Build-Depends-Indep BD to Build-Depends.
  * [2cc14aa] Replace bin/vtk by bin/vtk6. (Closes: #737190)
  * [582a7f7] Rename vtk.jar on vtk6.jar. (Closes: #737189)
  * [052a215] Use wrap-and-sort.
  * [61d6f06] Remove conflict libvtk5 and libvtk6.

 -- Anton Gladky <gladk@debian.org>  Fri, 31 Jan 2014 20:45:06 +0100

vtk6 (6.0.0-1) unstable; urgency=low

  * Initial packaging for vtk6. (Closes: #729086)

 -- Anton Gladky <gladk@debian.org>  Tue, 07 Jan 2014 21:26:32 +0100
