=== debian/control ===
Source: vtk6
Section: graphics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Build-Depends:
 chrpath,
 cmake (>= 2.8.5),
 debhelper (>= 9),
 default-jdk,
 dh-python,
 doxygen-latex,
 dpkg-dev (>= 1.16.1~),
 ftgl-dev,
 ghostscript,
 gnuplot-nox,
 graphviz,
 hdf5-tools,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libboost-all-dev,
 libdigest-md5-perl,
 libexpat-dev,
 libfreetype6-dev,
 libgdal-dev,
 libgl1-mesa-dev | libgl-dev,
 libgl2ps-dev,
 libglu1-mesa-dev | libglu-dev,
 libhdf5-dev,
 libjpeg-dev,
 libjsoncpp-dev,
 libmrmpi-dev,
 libmysqlclient-dev,
 libnetcdf-dev,
 libogg-dev,
 libosmesa6-dev,
 libpng-dev,
 libpq-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libqtwebkit-dev,
 libsqlite3-dev,
 libswscale-dev,
 libtheora-dev,
 libtiff-dev,
 libx11-dev,
 libxml2-dev,
 libxpm-dev,
 libxt-dev,
 mpi-default-dev,
 pkg-config,
 python-all-dev (<< 2.8),
 python-all-dev (>= 2.7),
 python-matplotlib,
 python-mpi4py,
 r-base,
 r-base-core,
 r-base-dev,
 tcl8.6-dev,
 texlive-binaries,
 texlive-math-extra,
 tk8.6-dev,
 x11proto-core-dev,
 xauth,
 xvfb,
 zlib1g-dev
XS-Python-Version: current
Uploaders:
 Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.5
Homepage: http://www.vtk.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/vtk6.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/vtk6.git

Package: libvtk6
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 libvtk32,
 libvtk4,
 libvtk4c2,
 libvtk4c2a,
 libvtk5,
 libvtk5.8
Suggests:
 libvtk6-dev,
 openmpi-bin | lam-runtime,
 vtk6-doc,
 vtk6-examples
Section: libs
Description: Visualization Toolkit - A high level 3D visualization library - runtime
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 VTK enables users to concentrate on their work by providing a large
 number of excellent and feature packed high level functions that do
 visualization.  The library needs OpenGL to render the graphics and
 for Linux machines Mesa is necessary. The terms/copyright can be read
 in /usr/share/doc/vtk/README and README.html.  VTK-Linux-HOWTO has
 information about using vtk, getting documentataion or help and
 instructions on building VTK.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.
 .
 To compile C++ code that uses VTK you have to install libvtk5-dev.

Package: libvtk6-dev
Architecture: any
Conflicts:
 libvtk-dev,
 libvtk32-dev,
 libvtk4-dev,
 libvtk5-dev
Replaces:
 libvtk-dev,
 libvtk32-dev,
 libvtk4-dev,
 libvtk5-dev
Depends:
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libc6-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgdal-dev,
 libgl1-mesa-dev | libgl-dev,
 libgl2ps-dev,
 libglu1-mesa-dev | libglu-dev,
 libjpeg-dev,
 libjsoncpp-dev,
 libmysqlclient-dev,
 libnetcdf-dev,
 libogg-dev,
 libpng-dev,
 libpq-dev,
 libqt4-dev,
 libqtwebkit-dev,
 libswscale-dev,
 libtheora-dev,
 libtiff-dev,
 libvtk6 (= ${binary:Version}),
 libvtk6-java (= ${binary:Version}),
 libx11-dev,
 libxft-dev,
 libxml2-dev,
 libxss-dev,
 libxt-dev,
 mpi-default-dev,
 python-vtk6 (= ${binary:Version}),
 tcl-vtk6 (= ${binary:Version}),
 tcl8.6-dev,
 tk8.6-dev,
 vtk6 (= ${binary:Version}),
 x11proto-core-dev,
 zlib1g-dev,
 ${misc:Depends}
Suggests:
 vtk6-doc,
 vtk6-examples
Section: libdevel
Description: VTK header files for building C++ code
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk6-java
Architecture: any
Depends:
 ${java:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 java-virtual-machine,
 libvtk6-dev (= ${binary:Version}),
 vtk6-doc,
 vtk6-examples
Section: java
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: python-vtk6
Architecture: any
Conflicts: python-vtk
Depends:
 libvtk6 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 mayavi2,
 vtk6-doc,
 vtk6-examples
XB-Python-Version: ${python:Versions}
Section: python
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides the shared libraries that enable one to use VTK from Python
 scripts.  You will need Python and vtk installed to use this. Some useful
 information may be available in /usr/share/doc/python-vtk/.

Package: tcl-vtk6
Architecture: any
Depends:
 libvtk6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 vtk6-doc,
 vtk6-examples
Section: interpreters
Description: Tcl bindings for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides the shared libraries and executable that enable one to use
 VTK from Tcl/Tk scripts. You will need Tcl/Tk and vtk installed to use
 this.

Package: vtk6
Architecture: any
Depends:
 libvtk6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 vtk6-doc,
 vtk6-examples
Conflicts:
 tcl-vtk
Section: interpreters
Description: Binaries for VTK6
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides binaries for VTK6

Package: vtk6-doc
Architecture: all
Depends:
 doc-base,
 ${misc:Depends}
Suggests:
 libvtk6-dev,
 vtk6-examples,
 vtk6data
Section: doc
Description: VTK class reference documentation
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains exhaustive HTML documentation for the all the
 documented VTK C++ classes.  The documentation was generated using
 doxygen and some excellent perl scripts from Sebastien Barre et. al.
 Please read the README.docs in /usr/share/doc/vtk-doc/ for details.
 The documentation is available under /usr/share/doc/vtk/html.

Package: vtk6-examples
Architecture: all
Suggests:
 libqt4-dev,
 libvtk6-dev,
 python,
 python-vtk6,
 tcl-vtk6,
 tclsh,
 vtk6-doc
Section: graphics
Depends:
 ${misc:Depends}
Description: C++, Tcl and Python example programs/scripts for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains examples from the VTK source. To compile
 the C++ examples you will need to install the vtk-dev package as well.
 Some of them require the libqt4-dev package.
 .
 The Python and Tcl examples can be run with the corresponding packages
 (python-vtk, tcl-vtk).
