## vtk6 6.1.0%2Bdfsg2

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  graphviz,
  hdf5-tools,
  javahelper,
+ libalglib-dev,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -37,15 +38,20 @@
  libosmesa6-dev,
  libpng-dev,
  libpq-dev,
- libqt4-dev,
- libqt4-opengl-dev,
- libqtwebkit-dev,
+ qtbase5-dev [!armel !armhf],
+ libqt5webkit5-dev [!armel !armhf],
+ libqt5opengl5-dev [!armel !armhf],
+ qttools5-private-dev [!armel !armhf],
+ libqt4-dev [armel armhf],
+ libqt4-opengl-dev [armel armhf],
+ libqtwebkit-dev [armel armhf],
  libsqlite3-dev,
  libswscale-dev,
  libtheora-dev,
  libtiff-dev,
  libx11-dev,
  libxml2-dev,
+ libxdmf-dev,
  libxpm-dev,
  libxt-dev,
  mpi-default-dev,
@@ -57,7 +63,7 @@
  r-base,
  r-base-core,
  r-base-dev,
- tcl8.6-dev,
+ tcl-dev,
  texlive-binaries,
  texlive-math-extra,
  tk8.6-dev,
@@ -68,12 +74,13 @@
 XS-Python-Version: current
 Uploaders:
  Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.vtk.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/vtk6.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/vtk6.git
-
-Package: libvtk6
+XS-Testsuite: autopkgtest
+
+Package: libvtk6.1
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -84,10 +91,13 @@
  libvtk4c2,
  libvtk4c2a,
  libvtk5,
- libvtk5.8
+ libvtk5.8,
+ libvtk6
+Conflicts:
+ libvtk6 (>>6.0.0-7)
 Suggests:
  libvtk6-dev,
- openmpi-bin | lam-runtime,
+ mpi-default-bin,
  vtk6-doc,
  vtk6-examples
 Section: libs
@@ -126,6 +136,7 @@
  libavformat-dev,
  libavutil-dev,
  libc6-dev,
+ libeigen3-dev,
  libexpat-dev,
  libfreetype6-dev,
  libgdal-dev,
@@ -139,22 +150,24 @@
  libogg-dev,
  libpng-dev,
  libpq-dev,
+ libpython-dev,
  libqt4-dev,
+ libqt4-opengl-dev,
  libqtwebkit-dev,
  libswscale-dev,
  libtheora-dev,
  libtiff-dev,
- libvtk6 (= ${binary:Version}),
- libvtk6-java (= ${binary:Version}),
+ libvtk6.1 (= ${binary:Version}),
  libx11-dev,
  libxft-dev,
  libxml2-dev,
+ libxdmf-dev,
  libxss-dev,
  libxt-dev,
  mpi-default-dev,
  python-vtk6 (= ${binary:Version}),
  tcl-vtk6 (= ${binary:Version}),
- tcl8.6-dev,
+ tcl-dev,
  tk8.6-dev,
  vtk6 (= ${binary:Version}),
  x11proto-core-dev,
@@ -172,30 +185,11 @@
  This package provides the VTK header files required to compile
  C++ programs that use VTK to do 3D visualisation.
 
-Package: libvtk6-java
-Architecture: any
-Depends:
- ${java:Depends},
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- java-virtual-machine,
- libvtk6-dev (= ${binary:Version}),
- vtk6-doc,
- vtk6-examples
-Section: java
-Description: Visualization Toolkit - A high level 3D visualization library - java
- The Visualization Toolkit (VTK) is an object oriented, high level
- library that allows one to easily write C++ programs, Tcl, Python and
- Java scripts that do 3D visualization.
- .
- This package provides the VTK Java language support.
-
 Package: python-vtk6
 Architecture: any
 Conflicts: python-vtk
 Depends:
- libvtk6 (= ${binary:Version}),
+ libvtk6.1 (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
@@ -217,7 +211,7 @@
 Package: tcl-vtk6
 Architecture: any
 Depends:
- libvtk6 (= ${binary:Version}),
+ libvtk6.1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -236,14 +230,12 @@
 Package: vtk6
 Architecture: any
 Depends:
- libvtk6 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- vtk6-doc,
- vtk6-examples
-Conflicts:
- tcl-vtk
+ libvtk6.1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ vtk6-doc,
+ vtk6-examples
 Section: interpreters
 Description: Binaries for VTK6
  The Visualization Toolkit (VTK) is an object oriented, high level
@@ -256,6 +248,7 @@
 Architecture: all
 Depends:
  doc-base,
+ libjs-jquery,
  ${misc:Depends}
 Suggests:
  libvtk6-dev,
@@ -291,9 +284,5 @@
  library that allows one to easily write C++ programs, Tcl, Python and
  Java scripts that do 3D visualization.
  .
- This package contains examples from the VTK source. To compile
- the C++ examples you will need to install the vtk-dev package as well.
- Some of them require the libqt4-dev package.
- .
  The Python and Tcl examples can be run with the corresponding packages
- (python-vtk, tcl-vtk).
+ (python-vtk6, tcl-vtk6).
